* {
	box-sizing: border-box;
}

body {
	background-image: linear-gradient(
		90deg,
		rgba(255, 238, 0, 0.8),
		rgba(60, 255, 0, 0.8)
	);
	color: rgb(88, 88, 88);
	font-family: Verdana, Geneva, Tahoma, sans-serif;
	margin: 0;
}

.container {
	margin: auto;
	max-width: 800px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	text-align: center;
}

.flex {
	display: flex;
}

.col {
	flex-flow: column wrap;
}

input,
button {
	border: none;
	border-top-left-radius: 25px;
	border-bottom-left-radius: 25px;
	font-size: 16px;
	padding: 8px 10px;
	margin: 0;
	box-shadow: 2px 2px 2px #a59898, -2px -2px 5px rgb(177, 177, 177);
	outline: none;
}

input[type="text"] {
	width: 300px;
}

.search-btn {
	cursor: pointer;
	border-left: 0;
	border-radius: 0;
	border-top-right-radius: 25px;
	border-bottom-right-radius: 25px;
	outline: none;
}

.random-btn {
	width: 70px;
	cursor: pointer;
	margin: 10px;
	border-top-right-radius: 25px;
	border-bottom-right-radius: 25px;
	align-self: center;
	transition: all 0.3s ease;
	border: none;
	overflow: hidden;
	outline: none;
}

.random-btn:hover {
	background: transparent;
	box-shadow: 4px 4px 6px 0 rgba(255, 255, 255, 0.5),
		-4px -4px 6px 0 rgba(116, 125, 136, 0.2),
		inset -4px -4px 6px 0 rgba(255, 255, 255, 0.5),
		inset 4px 4px 6px 0 rgba(116, 125, 136, 0.3);
	color: rgb(255, 255, 255);
	outline: none;
}
.random-btn:hover:after {
	box-shadow: 4px 4px 6px 0 rgba(255, 255, 255, 0.5),
		-4px -4px 6px 0 rgba(116, 125, 136, 0.2),
		inset -4px -4px 6px 0 rgba(255, 255, 255, 0.5),
		inset 4px 4px 6px 0 rgba(116, 125, 136, 0.3);
}
.random-btn:active {
	box-shadow: none;
}

.meals {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	grid-gap: 20px;
	margin-top: 20px;
}

.meal {
	cursor: pointer;
	position: relative;
	height: 180px;
	width: 180px;
	text-align: center;
}

.meal img {
	width: 100%;
	height: 100%;
	border: 4px #fff solid;
	border-radius: 2px;
}

.meal-info {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: rgba(0, 0, 0, 0.7);
	display: flex;
	align-items: center;
	justify-content: center;
	transition: opacity 0.2s ease-in;
	opacity: 0;
}

.meal:hover .meal-info {
	opacity: 1;
}

.single-meal {
	margin: 30px auto;
	width: 70%;
}

.single-meal img {
	width: 300px;
	margin: 15px;
	border: none;
	border-radius: 50px;
	box-shadow: 5px 5px 5px 0 rgba(118, 139, 108, 0.7),
		-5px -5px 5px 0 rgba(214, 214, 214, 0.7);
}

.single-meal-info {
	font-style: italic;
	font-size: 18px;
	margin: 20px;
	padding: 10px;
	border-top: 2px #e09850 dashed;
	border-bottom: 2px #e09850 dashed;
}

.single-meal p {
	margin: 0;
	letter-spacing: 0.5px;
	line-height: 1.5;
}

.single-meal ul {
	padding-left: 0;
	list-style-type: none;
}

.single-meal ul li {
	border: 1px solid #ededed;
	border-radius: 5px;
	background-color: #fff;
	display: inline-block;
	color: #2d2013;
	font-size: 12px;
	font-weight: bold;
	padding: 5px;
	margin: 0 5px 5px 0;
	box-shadow: 2px 2px 5px rgb(179, 179, 179);
}

.main p {
	width: 100%;
	font-size: 18px;
}

@media (max-width: 800px) {
	.meals {
		grid-template-columns: repeat(3, 1fr);
	}
}
@media (max-width: 700px) {
	.meals {
		grid-template-columns: repeat(2, 1fr);
	}

	.meal {
		height: 200px;
		width: 200px;
	}
}
@media (max-width: 500px) {
	input[type="text"] {
		width: 100%;
	}

	.meals {
		grid-template-columns: 1fr;
	}

	.meal {
		height: 300px;
		width: 300px;
	}
}
